More Awesome Than You!
Welcome, Guest. Please login or register.
2020 February 27, 09:04:58

Login with username, password and session length
Search:     Advanced search
539951 Posts in 18024 Topics by 7868 Members
Latest Member: hfwikrea
* Home Help Search Login Register
+  More Awesome Than You!
|-+  TS3/TSM: The Pudding
| |-+  Facts & Strategery
| | |-+  CAW version mismatch a guide...
0 Members and 1 Guest are viewing this topic. « previous next »
Pages: [1] THANKS THIS IS GREAT Print
Author Topic: CAW version mismatch a guide...  (Read 8270 times)
Kiritra
Tasty Tourist

Posts: 1


View Profile
CAW version mismatch a guide...
« on: 2011 October 08, 03:02:13 »
THANKS THIS IS GREAT

Long story short wrote a quick tip about fixing CAW with patch 1.24.3, it exploded into a full guide, which was on MTS removed after I had issues with the staff, thought I would repost it here, as I put alot of work into it and it has indeed worked for people....  I know my english is not perfect thank you..
I know this is very long winded, alot has been added from questions I have recieved....

CAW and Sims 3 version mismatch work around explained again.....
First and foremost when attempting to make CAS work move you mods/CC elsewhere, there are way to many mods and all of it can effect it, that is a general rule not related to the guide....

STEP 0 be sure you a using a CAW version that can work if you have the latest EP or SP then it is likely you want the lastest CAW:
http://llnw.thesims3.com/content/global/downloads/caw/worldtool.exe <----newest version (currently 1.11.12)
if not see the table below, each CAW version past a certain patch will not longer run or run correctly,  this is because CAW is looking for stuff from the new EPs, when this is the case it normally crashes with can't find the sims game, Read/write memory error, the stone cold CTD and/or the going to launcher rather then EIG....
STEP 1 be sure "UAC" is off (google turning off UAC) for vista or windows 7 other wise it will  not let you change the files, you can turn back on after...
It is apparently possiable to still get the access error with the UAC off...
Quote from: auntielynds@MTS
Take a deep breath................You can try opening it as administrator, or, copy it to the desktop, alter and save, then replace the original with the altered one.
STEP 2 Locate your game folder by default:
           x32 based OS:  C:\Program Files\Electronic Arts\[Latest EP or SP intalled]\Game\Bin
           x64 based OS: C:\Program Files (x86)\Electronic Arts\\[Latest EP or SP intalled]\Game\Bin
                  program files might be just programs on XP I don't remember anymore....
                  no right idea about direct to drive version but...
Quote from: simsample@MTS
The Steam install has a different game version, also it has different reg keys and a different file structure. The advice for Steam gamers seems to be to install the Origin version of the game if they want to run CAW:http://forums.steampowered.com/forums/showthread.php?t=1746411
The Origin versions of the game are now installed to [Game Install Location] \Origin Games \The Sims(T) 3, which on a default install would be C:\Program Files (x86) \Origin Games \The Sims(TM) 3 or C:\Program Files \Origin Games \The Sims(TM) 3.
or right click the shortcut you use to start the game, choose properties, then open file location....
            ^^this should work for everything on any windows OS....
STEP 3 in your game folder, backup Default.ini, compress it copy elsewhere whatever as long as you have another copy...
STEP 4 Locate your CAW folder by default:
           x32 C:\Program Files\Electronic Arts\The Sims 3 Create a World Tool
           x64 C:\Program Files (x86)\Electronic Arts\The Sims 3 Create a World Tool
           or right click the short you use to start the CAW, choose properties, then open file location....
STEP 5 in your CAW folder, open the Default.ini with notepad .....(if you get a file access error see step 1)
STEP 6 find the section of the file that looks like this
               [Version]   
               languages=en-us,fr-fr,es-es,es-mx,de-de,it-it,nl-nl,sv-se,da-dk,no-no,fi-fi,pl-pl,pt-pt,hu-hu,cs-cz,pt-br,el-gr,ru-ru,ko-kr,zh-hk,ja-jp   
               GameVersion = 1.11.12.012037
               CompatVersion = 12
               WorldBuilderCompatibilityVersion = 9
            copy it to the clipboard by highlighting the last 2 lines (CompatVersion & WorldBuilderCompatibilityVersion) and pressing Ctrl-c or right
              click copy.  please note the numbers in your section might be way different depending on your version of CAW it doesn't matter copy it, this what
             your CAW wants to hear to work.... close Default.ini (no save)
STEP 7 return to the sims game folder from step 2, open the Default.ini with notepad .....(if you get a file access error see step 1)
STEP 8 find the section of the file that looks like this
               [Version]   
               languages=en-us,fr-fr,es-es,es-mx,de-de,it-it,nl-nl,sv-se,da-dk,no-no,fi-fi,pl-pl,pt-pt,hu-hu,cs-cz,pt-br,el-gr,ru-ru,ko-kr,zh-hk,ja-jp   
               GameVersion = 1.11.12.012037
               CompatVersion = 12
               WorldBuilderCompatibilityVersion = 9
             highlight the last 2 lines (CompatVersion & WorldBuilderCompatibilityVersion)  and hit ctrl-V or right click paste, to replace it with the version from
            CAW...save and close Default.ini
STEP 9  Turn UAC back on if you turned it off in step one.....
STEP 10 before patching to a new version restore the backup or the pach will fail, if you didn't make a backup and need to patch download the full version of the patch.... (learned this the hard way)

I can't be any clearer about ths, I ran CAW using this since july 30th 11, no errors from CAW, EIG, or SIMS 3, others from here and maty have had good results.....
I REPEAT: this is for cases where you game is newer then CAW

Cases where EPs are missing..
Look for EAs latest EP/SP that you own, on the table below:
The patch levels for both the EP/SP and base game are the max that can be used with that version of CAW, patches less then this are fine but more will break CAW I tried, also one of the EP or SP is needed if you don't have town life and/or generations you can't run CAW 1.11.10 plus, or patch 1.24.3 with CAW  1.11.9 or lower, it will not work end of story, if you don't understand how I mean there a list of setups I tested below match your patches and CAW to it based on latest EP...

Old CAW version downloads from: Auntielynds@MTS
the table below
CAW VersionBG VersionExpansionpatchStuff Packpatch
1.5.1261.8.25World Adv.2.3.33*
1.6.72 patch from 1.5.1261.11.7World Adv.2.6.11High End Loft3.2.8*
1.9.141.14.11Ambitions4.2.32*High End Loft3.5.8
1.9.161.15.34Ambitions4.3.4Fast Lane5.0.44*
1.10.91.17.60Late Night6.0.81Fast Lane5.2.4
1.10.91.18.9Late Night6.1.11Fast Lane5.4.4
1.11.41.19.44Late Night6.2.4Outdoor Living7.0.55*
1.11.91.21.123Late Night6.2.4Outdoor Living7.0.55
1.11.101.22.9Generations8.0.152*Outdoor Living7.3.2
1.11.121.24.3Generations8.0.152Town Life9.0.73*
*This SHOULD work without the fix as it is the patch level and CAW version intended if not do the trick..

Apply the steps above to both EAs latest EP/SP that you own and sims 3 folder, that is to say do steps 2-8 to in both the sims 3 folder and the newest Stuff pack or expansion folder, steps 1 and 9 only need to be done at the start and the end of it, being clear about this because at this point I really want ti to work for you people, testing all this was 2 full reinstalls + for me..

Tested CAW 1.11.12 with base game Patch level 1.24.3
Tested CAW 1.6.72 with WA no patches beyond those required to install WA...
Tested CAW 1.9.16 With WA & AMB no patches beyond those required to install AMB..
Tested CAW 1.11.9 with LATE AMB WA no patches beyond those required to install Late night...
Tested CAW 1.11.12 With GENE, LATE, AMB, & WA, Patch 1.24.3.....
Again always the newest if you have GENE but do not have any combo of WA, AMB or LATE, it is still CAW 1.11.12 and patch 1.24.3

A few words on Stuff packs..all of this should work on them too if they happen to be your newest thing, I wasn't able to test it because I don't buy them, but based on what I have seen and the patch table they should work fine, this is only thoery based on working on all this out, the EPs where tested...

This all worked for me hope it works for you, my thanks to all the people that posted CAW info here and mts, and the all the peeps that gave the mts thread love, your the reason I went the extra mile on this...

Question don't be afraid to ask, I will be checking...
Logged
Pages: [1] Print 
« previous next »
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.21 | SMF © 2015, Simple Machines Valid XHTML 1.0! Valid CSS!
Page created in 0.157 seconds with 20 queries.